JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const experienceListResponse of client.users.preferences.notifications.experiences.list()) {
console.log(experienceListResponse.level);
}curl --request GET \
--url https://api.whop.com/api/v1/users/me/preferences/notifications/experiences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.whop.com/api/v1/users/me/preferences/notifications/experiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"level": "all",
"object": "experience_notification_preference",
"scope": {
"account_id": "<string>",
"channel": "in_app",
"experience_id": "<string>",
"team_account_id": "<string>",
"topic_id": "<string>"
}
}
],
"page_info": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}Notifications
List Experiences
Lists the authenticated user’s per-experience notification levels. Experiences the user never set a level for are omitted — their effective level is all.
GET
/
users
/
me
/
preferences
/
notifications
/
experiences
JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const experienceListResponse of client.users.preferences.notifications.experiences.list()) {
console.log(experienceListResponse.level);
}Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Headers
Pins the request to a dated API version.
Example:
"2026-07-27"
Query Parameters
The number of preferences to return.
A cursor; returns preferences after this position.
⌘I

